// Database to store data, don't forget autoload: true
var Datastore = require('nedb');
var db = new Datastore({filename: "data.db", autoload: true});

var filenames = [
	"1.jpg", "2.jpg", "3.jpg", "4.jpg"
];

//var thedata = [];

var express = require('express')
var app = express()

app.set('view engine', 'ejs');

app.use(express.static('public'));

var bodyParser = require('body-parser');
var urlencodedParser = bodyParser.urlencoded({ extended: true }); // for parsing form data
app.use(urlencodedParser); 

app.get('/', function (req, res) {
  res.send('Hello World');
  console.log("Got a request for /");
})

app.get('/funstuff', function(req, res) {
	console.log(req);
	res.send("<html><body><b>FUN, RIGHT</b></body></html>");
})

app.get('/random', function(req, res) {
	var randomIndex = Math.random() * filenames.length;
	randomIndex = Math.floor(randomIndex);
	res.sendfile(filenames[randomIndex], {root: './public'}); // Files inside "public" folder

	//res.sendfile(filenames[Math.floor(Math.random() * filenames.length))], {root: './public'}); // Files inside "public" folder
})

app.post('/formsubmission', function (req, res) {
	console.log("They posted " + req.body.title);
	
	var newdata = new Object();
	newdata.title = req.body.title;
	newdata.description = req.body.description;
	//thedata.push(newdata);

	// Insert the data into the database
	db.insert(newdata, function (err, newDocs) {
		console.log("err: " + err);
		console.log("newDocs: " + newDocs);

		res.send("You submitted: " + req.body.title + " " + req.body.description);

	});	

});

app.get('/data', function(req, res) {


	// Find all of the existing docs in the database
	db.find({}, function(err, docs) {

		// Loop through the results, send each one as if it were a new chat message
		for (var i = 0; i < docs.length; i++) {
			console.log(docs[i].title + " " + docs[i].description);
		}

		//res.send(docs);
		res.render('datatemplate.ejs', {"thedata":docs});

	});





	// var theoutput = "<html><body>";
	// for (var i = 0; i < thedata.length; i++) {
	// 	theoutput += "title: " + thedata[i].title + "<br />";		
	// }
	// theoutput += "</body></html>";
	// res.send(theoutput);
});




 
app.listen(3000)
console.log("Server is running on port 3000");